# Describes the format for available water_heater services

set_away_mode:
  target:
    entity:
      domain: water_heater
  fields:
    away_mode:
      required: true
      selector:
        boolean:

set_temperature:
  target:
    entity:
      domain: water_heater
  fields:
    temperature:
      required: true
      selector:
        number:
          min: 0
          max: 100
          step: 0.5
          unit_of_measurement: "°"
    operation_mode:
      example: eco
      selector:
        text:

set_operation_mode:
  target:
    entity:
      domain: water_heater
  fields:
    operation_mode:
      required: true
      example: eco
      selector:
        text:

turn_on:
  target:
    entity:
      domain: water_heater

turn_off:
  target:
    entity:
      domain: water_heater
